# GRFMappedStringID Struct Reference

A string with the required information to perform a GRF string remapping. More...

`#include <newgrf_string_type.h>`

## Public Member Functions

| GRFMappedStringID (StringID str, uint32 grf_id)
| Create the struct.
| GRFMappedStringID ()
| An empty string.
| operator StringID () const
| Cast operator, returns the string.
GRFMappedStringID & | operator= (StringID str)
| Assigns the string and resets the GRF ID.
void | MapString ()
| Map the string.

## Private Attributes

uint32 | grfid
| The GRF ID associated to the to-be-remapped string.
StringID | string
| The string; when grfid != 0 it should be remapped.

## Detailed Description

A string with the required information to perform a GRF string remapping.

Definition at line 13 of file newgrf_string_type.h.

## Constructor & Destructor Documentation

GRFMappedStringID::GRFMappedStringID | ( | StringID | str,
|  | uint32 | grf_id |
| ) |  |  | `[inline]`

Create the struct.

Parameters:

  | str | the string to store (or remap)
  | grf_id | the GRF to remap it with

Definition at line 27 of file newgrf_string_type.h.

## Member Function Documentation

GRFMappedStringID& GRFMappedStringID::operator= | ( | StringID | str | ) | `[inline]`

Assigns the string and resets the GRF ID.

Definition at line 41 of file newgrf_string_type.h.

References grfid.

The documentation for this struct was generated from the following files:

- src/newgrf_string_type.h
- src/newgrf.cpp